Best answer

Any word on support for MySQL V8

  • 22 June 2022
  • 5 replies
  • 50 views

Userlevel 1

Mi,

Any word on if or when you will support MySQL V8?

I can see a few topics here, and I know you put a bunch of people on the notification list (me included), when it’s implemented, but this has come up our end again and we need a solution.

Thanks,

icon

Best answer by christina.d 1 July 2022, 03:09

View original

This post has been closed for comments. Please create a new post if you need help or have a question about this topic.

5 replies

Userlevel 7
Badge +12

Hi there @TotalSteve!

I want to make sure that definitely have the right request here. You mentioned that you need support for version 8+ and that there were other threads in the Community. I had a quick search and I could find Community posts with other connection issues but nothing specific to the version of MySQL. So that I can pass on the feedback that you need, could I confirm that the issue you have is specifically that you’d like support for MySQL versions 8+ or are you also having other connection issues? Thank you!

Userlevel 1

Hi Danvers,

Thanks for your email.

Yes, I am looking for MySQL V8 support. Currently you don’t support MySQL8 to my knowledge, so I was asking if or when this is likely to happen. 

Here are other threads about it:- This is one 1 entered back last year and asked to be put on your list when MySQL V8 will be ready. I haven’t heard anything yet, but might have missed it. This is why I am asking.

Here is another forum, but there are more here. These are just 2 examples.

 

Also, here is your document mentioning you don’t currently support MySQLV8, but it is quite old now:-

https://zapier.com/help/doc/how-get-started-mysql

 

So, I am specifically looking for support for MySQL V8. MySQL V8 was released over 4 years ago now I think and other platforms like automate.io have supported it for a long time now. So, I guess, if you have no plans to implement it in the near future, I will need to switch to automate.io or any of many other platforms that have supported MySQL for some time. Obviously I don’t want to, but we need support for it.

Thanks,

Userlevel 1

I’m one of your paying customers Zapier. I think I deserve an answer on this pls. If you have no intension to get MySQL8 working, then I shouldn’t waste any more of my money with you and move to someone who supports MySQL8. OK!

Userlevel 7
Badge +9

Hey there, @TotalSteve. First and foremost, I want to thank you for your patience and apologize for the delay here. It definitely wasn’t our intent to leave you feeling unheard.

I did do some digging though and the MySQL 8.0 library has been merged and now supported. However it is dependent on users using mysql_native_password authentication plugin.

If you’re still experiencing errors connecting this is likely due to SHA2 authentication being used. That said, there is an open feature request for this and I added your vote to it. This will keep you in the loop once this is available. We’ll also continue to keep this thread updated once this is supported! 

Once again, thank you for flagging this for us - it’s truly appreciated.

Userlevel 1

Thankyou Christina and team, that is truly wonderful news. Thankyou